GCLOUD_PROJECTS_UPDATE(1)

NAME

gcloud projects update - update the name of a project

SYNOPSIS

gcloud projects update PROJECT_ID [--name=NAME] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Update the name of the given project. This command can fail for the following reasons:

    •   There is no project with the given ID.

    •   The active account does not have Owner or Editor permissions for the given project.

POSITIONAL ARGUMENTS

    PROJECT_ID
        ID for the project you want to update.

FLAGS

    --name=NAME
        New name for the project.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
The following command updates a project with the ID example-foo-bar-1 to have the name "Foo Bar & Grill":
    $ gcloud projects update example-foo-bar-1 --name="Foo Bar & Grill"